<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: Main.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: Main.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>/** Globale Variablen */

var canvas;
var stage;

/** Wird für Timeout-Function benötigt */
var timer;
/** Wird für die Skallierung benötigt */
var scale = 0; 

var menueBtnWidth; 
var menueBtnHeight;  

var zurueckBtnWidth; 
var zurueckBtnHeight;

var crypBtnWidth; 
var crypBtnHeight; 

var switchBtnWidth;
var switchBtnHeight;

var offset; 

/** Wird für Tausch-Button benötigt */
var clickCounter = 0;

var tinyFont;
var smallFont;
var mediumFont;
var largeFont;
var hugeFont;


var white = "#fff"; 
var black = "#000";
var red = "#b82929";
var transparentRed = "rgba(184, 41, 41, 0.1)";
var blue = "#0077b6";
var tuerkis = "#66b8a0";
var yellow = "#fccb00";
var grey = "#f5f5f5";
var darkgrey = "#c0c0c0"


var largeRadius;
var mediumRadius;
var smallRadius;
var tinyRadius;
var arcRadius;

/** Container für Animationen, bei Caesar-Verfahren */
var animateCaesar; 
/** Container für Weiter-Button */
var weiterBtn; 
var weiterButton;

var labelCaesar = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
var labelArray = [];
var chars = [];
/** Hintergrund */
var bg; 
/** Verschiebung des Alphabet bei Caesar-Verfahren */
var caesarVerschiebung = 0; 
/** Rotaionspunkte der Buchstaben des äußeren Rings */
var initialRotation = [];
/** Rotaionspunkte der Buchstaben des inneren Rings */
var labelRotation = [];
/** Enthaelt Buchstaben von A - Z */
var ringChars = [];

/**
* Laedt Bilder und startet das Hauptmenü wenn der Ladevorgang komplett ist
* @function setup
*/
function setup(){
        var preload = new createjs.LoadQueue();
        preload.on("complete", startApp);
        preload.loadFile("images/arrow-down.png");
        preload.loadFile("images/arrow-up.png");
}

/**
* Startet die Webanwendung
* @global
* @function startApp
*/
function startApp(){
   var app = new App(); 
   
}
/**
* Legt wichtige Werte wie die Canvas-Größe Fest und startet das jeweilige Modul für die Chiffrierverfahren
* @class
* @namespace App
*/
function App(){
    canvas = document.getElementById("cipherCanvas");
   
    canvas.width = window.innerWidth;
    canvas.height = window.innerHeight;
    
    stage = new createjs.Stage("cipherCanvas");
    
/**
* Behandelt das Ändern der Fenstergröße im Browser
* @function onResize
*/
   window.onResize = function()
   {
    canvas.width = window.innerWidth;
    canvas.style.width = window.innerWidth;
    canvas.height = window.innerHeight;
    canvas.style.height = window.innerHeight;
   }
    
    createjs.Touch.enable(stage);
    stage.enableMouseOver();
    
    createjs.Ticker.setFPS(30);       
    createjs.Ticker.addEventListener("tick", tick);
    
    //window.addEventListener("resize", handleResize);
    //window.addEventListener('orientationchange', handleResize);
     
    for(i = 0; i &lt; labelCaesar.length; i++){
        labelArray.push(labelCaesar[i]);
    }
    
    scale = 1; /** default */
   //scale = Math.min(window.innerWidth/window.innerHeight, window.innerHeight/window.innerWidth);
    if(window.devicePixelRatio >= 2 &amp;&amp; window.devicePixelRatio &lt;= 3){
        scale = 0.8;
    }
    if(window.devicePixelRatio === 1.25 || screen.width &lt; 400){
        scale = 0.8;
    }
    if(window.devicePixelRatio > 3){
        scale = 0.8;
    }
    if(window.devicePixelRatio == 2 &amp;&amp; screen.width > 1000){
        scale = 1;
    }
    /** Kleines Fenster oder Bildschirm */
    if(screen.width &lt;= 300 || window.innerWidth &lt;= 300){
        scale = 0.65;
    }
    canvas.style.width = canvas.width * scale;
    canvas.style.height = canvas.height * scale;
    
    stage.canvas.width = canvas.width;
    stage.canvas.height = canvas.height;
    
    stage.scaleX = scale;
    stage.scaleY = scale;
     
    zurueckBtnWidth = Math.ceil(75 * scale);
    zurueckBtnHeight = Math.ceil(30 * scale);
    
    menueBtnWidth = Math.ceil(scale * 400);
    menueBtnHeight = Math.ceil(scale * 50);
    
    crypBtnWidth = Math.ceil(120 * scale);
    crypBtnHeight = Math.ceil(30 * scale);
    
    switchBtnWidth = Math.ceil(scale * 50);
    switchBtnHeight = Math.ceil(scale * 30);
    
    largeRadius = Math.ceil(scale * 150);
    mediumRadius = Math.ceil(scale * 120);
    smallRadius = Math.ceil(scale * 90);
    tinyRadius = Math.ceil(scale * 89);
    arcRadius = Math.ceil(scale * 60);
    
    offset = Math.ceil(scale * 20);
    
    tinyFont = "bold " + Math.ceil(12 * scale) + "px monospace";
    smallFont = "bold " + Math.ceil(14 * scale) + "px monospace";
    mediumFont = "bold " + Math.ceil(18 * scale) + "px monospace";
    largeFont = "bold " + Math.ceil(24 * scale) + "px  monospace";
    hugeFont = "bold " + Math.ceil(28 * scale) + "px monospace";
        
    /** Starte Modul für das Caesar-Verfahren */
    caesarModule.start();
          
    stage.update();
}


/**
* Updated Stage bei jedem Tick des Timers
* @global
* @function tick
* @param {event} event Tick-Event des Timers
*/
function tick(event) {
    stage.update(event); 
}
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="App.module_caesarModule.html">caesarModule</a></li></ul><h3>Classes</h3><ul><li><a href="App.module_caesarModule-CaesarShape.html">CaesarShape</a></li><li><a href="DecrypBtn.html">DecrypBtn</a></li><li><a href="EncrypBtn.html">EncrypBtn</a></li><li><a href="PruefButton.html">PruefButton</a></li><li><a href="SwitchButton.html">SwitchButton</a></li><li><a href="WeiterBtn.html">WeiterBtn</a></li><li><a href="ZurueckBtn.html">ZurueckBtn</a></li></ul><h3>Namespaces</h3><ul><li><a href="App.html">App</a></li></ul><h3>Global</h3><ul><li><a href="global.html#angle">angle</a></li><li><a href="global.html#animateCaesar">animateCaesar</a></li><li><a href="global.html#bg">bg</a></li><li><a href="global.html#caesarEntschluesselung">caesarEntschluesselung</a></li><li><a href="global.html#caesarVerschiebung">caesarVerschiebung</a></li><li><a href="global.html#caesarVerschluesselung">caesarVerschluesselung</a></li><li><a href="global.html#canvas">canvas</a></li><li><a href="global.html#checkChar">checkChar</a></li><li><a href="global.html#clickCounter">clickCounter</a></li><li><a href="global.html#crypAnimation">crypAnimation</a></li><li><a href="global.html#encrypAnimation">encrypAnimation</a></li><li><a href="global.html#initialRotation">initialRotation</a></li><li><a href="global.html#labelRotation">labelRotation</a></li><li><a href="global.html#onResize">onResize</a></li><li><a href="global.html#removeBtn">removeBtn</a></li><li><a href="global.html#removeShape">removeShape</a></li><li><a href="global.html#ringChars">ringChars</a></li><li><a href="global.html#rotationAngle">rotationAngle</a></li><li><a href="global.html#scale">scale</a></li><li><a href="global.html#setup">setup</a></li><li><a href="global.html#startApp">startApp</a></li><li><a href="global.html#tick">tick</a></li><li><a href="global.html#timer">timer</a></li><li><a href="global.html#weiterBtn">weiterBtn</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Sun Feb 25 2018 19:14:53 GMT+0100 (Mitteleuropäische Zeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
